Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# HeadControlMode Class Reference

Stores head modes requested by BehaviorControl. More...

`#include <HeadControlMode.h>`

Inheritance diagram for HeadControlMode:

[legend]
Collaboration diagram for HeadControlMode:

[legend]
List of all members.

## Public Types
enum | HeadControlModes { none, searchForBall, searchAuto, searchForLandmarks, searchForLandmarksHeadLow, scanForObstacles, lookAtMostInformativeLandmark, lookAtBluePinkLandmark, lookBetweenFeet, lookLeft, lookRight, lookStraightAhead, catchBall, lookBetweenFeetForCarriedBall, catchBallHigh, holdBall, releaseCaughtBallWhenTurningLeft, releaseCaughtBallWhenTurningRight, stayAsForced, lookToStars, snapAtFinger, lookParallelToGround, lookTowardOpponentGoal, directedScanForLandmarks, directedScanForObstacles, direct, calibrate, calibrateHeadSpeed, watchOrigin, openChallengePullBridge, openChallengeTest, openChallengeTest2, openChallengeGoToBridge, openChallengeJoysickMode, openChallengeReset, searchForBallLeft, searchForBallRight, lookAtInsertionPointBackLeft, lookAtInsertionPointBackRight, lookAtInsertionPointMiddleLeft, lookAtInsertionPointMiddleRight, lookAtInsertionPointFrontLeft, lookAtInsertionPointFrontRight, lookAroundPropagatedBallPosition, lookAroundCommunicatedBallPosition, searchForLandmarksEvolution, realSlowScan, numOfHeadControlModes }
| possible head control modes More...
## Public Member Functions
virtual void | serialize (In *in, Out *out)
| HeadControlMode ()
| constructor
| ~HeadControlMode ()
| destructor
## Static Public Member Functions
const char * | getHeadControlModeName (HeadControlModes mode)
| Returns the name of a HeadTrackMode.
## Public Attributes
HeadControlModes | headControlMode
| The requested head control mode.
long | directTilt
| Parameters for direct mode.
long | directPan
| Parameters for direct mode.
long | directRoll
| Parameters for direct mode.
long | directSpeed
| Parameters for direct mode.
long | directMouth
| Parameters for direct mode.
unsigned int | durationInEvolution

## Detailed Description

Stores head modes requested by BehaviorControl.

Definition at line 25 of file HeadControlMode.h.

## Member Enumeration Documentation

enum HeadControlMode::HeadControlModes

  | possible head control modes Enumeration values:
  none |
  searchForBall |
  searchAuto |
  searchForLandmarks |
  searchForLandmarksHeadLow |
  scanForObstacles |
  lookAtMostInformativeLandmark |
  lookAtBluePinkLandmark |
  lookBetweenFeet |
  lookLeft |
  lookRight |
  lookStraightAhead |
  catchBall |
  lookBetweenFeetForCarriedBall |
  catchBallHigh |
  holdBall |
  releaseCaughtBallWhenTurningLeft |
  releaseCaughtBallWhenTurningRight |
  stayAsForced |
  lookToStars |
  snapAtFinger |
  lookParallelToGround |
  lookTowardOpponentGoal |
  directedScanForLandmarks |
  directedScanForObstacles |
  direct |
  calibrate |
  calibrateHeadSpeed |
  watchOrigin |
  openChallengePullBridge |
  openChallengeTest |
  openChallengeTest2 |
  openChallengeGoToBridge |
  openChallengeJoysickMode |
  openChallengeReset |
  searchForBallLeft |
  searchForBallRight |
  lookAtInsertionPointBackLeft |
  lookAtInsertionPointBackRight |
  lookAtInsertionPointMiddleLeft |
  lookAtInsertionPointMiddleRight |
  lookAtInsertionPointFrontLeft |
  lookAtInsertionPointFrontRight |
  lookAroundPropagatedBallPosition |
  lookAroundCommunicatedBallPosition |
  searchForLandmarksEvolution |
  realSlowScan |
  numOfHeadControlModes |
Definition at line 50 of file HeadControlMode.h.

## Constructor & Destructor Documentation

HeadControlMode::HeadControlMode | ( |  | ) |

| constructor Definition at line 16 of file HeadControlMode.cpp.

HeadControlMode::~HeadControlMode | ( |  | ) |

| destructor Definition at line 21 of file HeadControlMode.cpp.

## Member Function Documentation

virtual void HeadControlMode::serialize | ( | In * | in,
|  | Out * | out
| ) | `[inline, virtual]`

| Implements Streamable. Definition at line 29 of file HeadControlMode.h. References directMouth, directPan, directRoll, directSpeed, directTilt, durationInEvolution, getHeadControlModeName(), headControlMode, numOfHeadControlModes, STREAM, STREAM_ENUM, STREAM_REGISTER_BEGIN, and STREAM_REGISTER_FINISH.

Here is the call graph for this function:

const char* HeadControlMode::getHeadControlModeName | ( | HeadControlModes | mode | ) | `[inline, static]`

| Returns the name of a HeadTrackMode. Definition at line 116 of file HeadControlMode.h. References calibrate, calibrateHeadSpeed, catchBall, catchBallHigh, direct, directedScanForLandmarks, directedScanForObstacles, holdBall, lookAroundCommunicatedBallPosition, lookAroundPropagatedBallPosition, lookAtBluePinkLandmark, lookAtInsertionPointBackLeft, lookAtInsertionPointBackRight, lookAtInsertionPointFrontLeft, lookAtInsertionPointFrontRight, lookAtInsertionPointMiddleLeft, lookAtInsertionPointMiddleRight, lookAtMostInformativeLandmark, lookBetweenFeet, lookBetweenFeetForCarriedBall, lookLeft, lookParallelToGround, lookRight, lookStraightAhead, lookToStars, lookTowardOpponentGoal, none, openChallengeGoToBridge, openChallengeJoysickMode, openChallengePullBridge, openChallengeReset, openChallengeTest, openChallengeTest2, realSlowScan, releaseCaughtBallWhenTurningLeft, releaseCaughtBallWhenTurningRight, scanForObstacles, searchAuto, searchForBall, searchForBallLeft, searchForBallRight, searchForLandmarks, searchForLandmarksEvolution, searchForLandmarksHeadLow, snapAtFinger, stayAsForced, and watchOrigin. Referenced by serialize().

## Member Data Documentation

HeadControlModes HeadControlMode::headControlMode

| The requested head control mode. Definition at line 113 of file HeadControlMode.h. Referenced by GT2005HeadControl::execute(), SLBenchmark::execute(), MotionRatingBehaviorControl::execute(), GT2005BasicBehaviorLocateMaxGreen::execute(), GT2005BasicBehaviorCalcWlanBearing::execute(), GT2005BehaviorControl::postExecute(), GT2005BehaviorControl::preExecute(), GT2005HeadControlSymbols::registerSymbols(), HeadAndTailSymbols::registerSymbols(), serialize(), and GT2005HeadControl::showVisualizationQuality().

long HeadControlMode::directTilt

| Parameters for direct mode. Definition at line 178 of file HeadControlMode.h. Referenced by serialize().

long HeadControlMode::directPan

| Parameters for direct mode. Definition at line 178 of file HeadControlMode.h. Referenced by serialize().

long HeadControlMode::directRoll

| Parameters for direct mode. Definition at line 178 of file HeadControlMode.h. Referenced by serialize().

long HeadControlMode::directSpeed

| Parameters for direct mode. Definition at line 178 of file HeadControlMode.h. Referenced by serialize().

long HeadControlMode::directMouth

| Parameters for direct mode. Definition at line 178 of file HeadControlMode.h. Referenced by serialize().

unsigned int HeadControlMode::durationInEvolution

| Definition at line 179 of file HeadControlMode.h. Referenced by serialize(), and HeadAndTailSymbols::setSearchForLandmarksEvoSpeed().

The documentation for this class was generated from the following files:

- Representations/Motion/HeadControlMode.h
- Representations/Motion/HeadControlMode.cpp